import java.io.*;
import java.util.*;

public class polygon_ma_slow {
    String fileName = "polygon";

    public void solve() throws IOException {
        int n = nextInt();
        int[] L = new int[n];
        for (int i = 0; i < n; i++) {
            L[i] = nextInt();
        }
        Arrays.sort(L);
        int cnt = 0;
        for (int mask = 0; mask < 1 << n; mask++) {
            int cc = 0;
            int mx = 0;
            int s = 0;
            for (int i = 0; i < n; i++) {
                if (((mask >> i) & 1) == 1) {
                    cc++;
                    mx = L[i];
                    s += L[i];
                }
            }
            s -= mx;
            if (cc >= 3 && s > mx) {
                cnt++;
            }
        }
        out.println(cnt);
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public void run() {
        try {
            if (fileName.equals("")) {
                br = new BufferedReader(new InputStreamReader(System.in));
                out = new PrintWriter(System.out);
            } else if (fileName.equals("txt")) {
                br = new BufferedReader(new FileReader("input.txt"));
                out = new PrintWriter("output.txt");
            } else {
                br = new BufferedReader(new FileReader(fileName + ".in"));
                out = new PrintWriter(fileName + ".out");
            }

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new polygon_ma_slow().run();
    }

}
