#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <set>
using namespace std;
#define TASK "pencils"
const int INF = 1e9 + 10;
int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    int n, k;
    cin >> n >> k;
    vector<pair<int, int> > a(n);
    for (int i = 0; i < n; ++i) {
        int ci;
        scanf("%d", &ci);
        int mn = INF, mx = 0;
        for (int j = 0; j < ci; ++j) {
            int x;
            scanf("%d", &x);
            mx = max(mx, x);
            mn = min(mn, x);
        }
        a[i] = make_pair(mn, mx);
    }
    sort(a.begin(), a.end());
    multiset<int> s;
    int ans = INF;
    for (int i = a.size() - 1; i >= 0; --i) {
        if (s.size() == k - 1) {
            if (k == 1)
                ans = min(ans, a[i].second - a[i].first);
            else
                ans = min(ans, max(-*s.begin(), a[i].second) - a[i].first);
        }
        s.insert(-a[i].second);
        if (s.size() == k)
            s.erase(s.begin());
    }
    cout << ans << endl;
    return 0;
}