#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <set>
#include <cassert>
using namespace std;
#define TASK "pencils"
const int INF = 1e9 + 10;
int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    int n, k;
    cin >> n >> k;
    assert(n <= 20 && k > 1);
    vector<pair<int, int> > a(n);
    for (int i = 0; i < n; ++i) {
        int ci;
        scanf("%d", &ci);
        int mn = INF, mx = 0;
        for (int j = 0; j < ci; ++j) {
            int x;
            scanf("%d", &x);
            mx = max(mx, x);
            mn = min(mn, x);
        }
        a[i] = make_pair(mn, mx);
    }
    int masks = 1<<n, ans = INF;
    for (int ms = 0; ms < masks; ++ms) {
        int cn = 0, mx = 0, mn = INF;
        for (int i = 0; i < n; ++i)
            if ((ms>>i)&1) {
                ++cn;
                mx = max(mx, a[i].second);
                mn = min(mn, a[i].first);
            }
        if (cn == k)
            ans = min(ans, mx - mn);
    }
    printf("%d\n", ans);
    return 0;
}
