#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <set>
#include <cassert>
using namespace std;
#define TASK "pencils"
const int INF = 1e9 + 10;

bool cmp(const pair<int, int>& a, const pair<int, int>& b) {
    return a.second < b.second;
}

int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    int n, k;
    cin >> n >> k;
    assert(n <= 2000);
    vector<pair<int, int> > a(n);
    for (int i = 0; i < n; ++i) {
        int ci;
        scanf("%d", &ci);
        int mn = INF, mx = 0;
        for (int j = 0; j < ci; ++j) {
            int x;
            scanf("%d", &x);
            mx = max(mx, x);
            mn = min(mn, x);
        }
        a[i] = make_pair(mn, mx);
    }
    int ans = INF;
    sort(a.begin(), a.end());
    for (int i = n - 1; i >= 0; --i) {
        if (n - i >= k) {
            sort(a.begin() + i + 1, a.end(), cmp);
            ans = min(ans, max(a[i].second, a[i + k - 1].second) - a[i].first);
        }

    }
    printf("%d\n", ans);
    return 0;
}
