#include <iostream>
#include <cstdio>
#include <vector>
#include <cassert>
#include <cstring>
using namespace std;
#define TASK "seating"

const int N = 20;

bool checkAnswer(int *ans, int n, int d, const vector<int>& a) {
    int cg = 0;
    for (int i = n - d; i < n; ++i)
        if (ans[i]) cg++;
    for (int i = 0; i <= d; ++i)
        if (ans[i]) cg++;
    if (cg != a[0])
        return false;
    for (int i = 1; i < n; ++i) {
        int nx = (i + d) % n;
        if (ans[nx]) cg++;

        int prv = (i - d + n - 1) % n;
        if (ans[prv]) cg--;
        if (cg != a[i])
            return false;
    }
    return true;
}

int ans[N];
int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);

    int n, d;
    scanf("%d%d", &n, &d);
    assert(n <= 18);

    vector<int> a(n);
    for (int i = 0; i < n; ++i)
        scanf("%d", &a[i]);

    int tot = 1<<n;
    for (int ms = 0; ms < tot; ++ms) {
        int x = ms;
        for (int i = 0; i < n; ++i, x >>= 1)
            ans[i] = x&1;
        if (checkAnswer(ans, n, d, a)) {
            cout << "YES\n";
            for (int j = 0; j < n; ++j)
                cout << ans[j] << " ";
            cout << endl;
            return 0;
        }
    }
    cout << "NO";
    return 0;
}